Subject: Re: bug#63125: 30.0.50; [BUG] last argument of libxml-parse-html-region has no effect?

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Apr 2023 14:31:28 +0300

> From: Ruijie Yu <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> Date: Fri, 28 Apr 2023 18:40:35 +0800
> 
> > I have filed an issue [1] in libxml2.  We'll see what they say about it.
> >
> > FTR, [2] is the documentation of the libxml2's htmlReadMemory()
> > function -- though it does not say much.
> >
> > [1]: https://gitlab.gnome.org/GNOME/libxml2/-/issues/525
> > [2]: https://gnome.pages.gitlab.gnome.org/libxml2/devhelp/libxml2-HTMLparser.html#htmlReadMemory.
> 
> I just got a response from one of libxml2's maintainers.
> 
> It seems that the docstring for `libxml-parse-html-region' is wrong:
> this argument has never served the purpose of resolving relative URLs.
> It was only used for error messages.  So I suggest that we modify the
> docstring of this function and `libxml-parse-xml-region' to reflect this
> fact.

The response doesn't say much.  What is this "base URL" argument used
for, and why is it named "bas URL"?  What does it mean "used for error
messages"?  And where is the up-to-date and accurate documentation of
this function, which explains what is this argument for?

Without knowing all that, we cannot fix our documentation, let alone
code.